%define _prefix /opt/calxeda

Name:		cxmanage
Version:	0.9.0
Release:	1%{?dist}
Summary:	A tool to manage Calxeda servers

Group:		Development/Languages
License:	BSD
URL:		http://sources.calxeda.com/python/packages/cxmanage/
Source0:	http://sources.calxeda.com/python/packages/cxmanage/%{name}-%{version}.tar.gz
Source1:	cxmanage.sh
Source2:	cxmanage.csh

Patch0:		cxmanage-readme.patch
Patch1:		cxmanage-0.9.0-no-argparse.patch

BuildArch:	noarch
BuildRequires:	python-devel, python-setuptools
Requires:	ipmitool-cxoem >= 1.8.11-4%{?dist}.cx7
Requires:	python-pyipmi >= 0.8.0
Requires:	python-tftpy
Requires:	python-sphinx
Requires:	python-cloud-sptheme

%description
cxmanage is a tool to manage Calxeda servers


%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .argparse


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT --prefix %{_prefix}
install -Dm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/%{basename:%SOURCE1}
install -Dm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/%{basename:%SOURCE2}


%files
%doc README
%{_bindir}/cxmanage
%{_bindir}/sol_tabs
%{_prefix}/lib/python*/site-packages/cxmanage/
%{_prefix}/lib/python*/site-packages/cxmanage_api/
%{_prefix}/lib/python*/site-packages/*.egg-info/
%{_sysconfdir}/profile.d/cxmanage*


%changelog
* Thu Aug 22 2013 Jeff Bastian <jbastian@redhat.com> - 0.9.0-1
- updated to cxmanage v0.9.0

* Thu Jul 25 2013 Jeff Bastian <jbastian@redhat.com> - 0.8.2-3
- install in /opt/calxeda

* Thu Jul 25 2013 Jeff Bastian <jbastian@redhat.com> - 0.8.2-2
- install in /opt/cxmanage

* Wed Jun  5 2013 Jeff Bastian <jbastian@redhat.com> - 0.8.2-1
- update to version 0.8.2

* Thu Mar  7 2013 Jeff Bastian <jbastian@redhat.com> - 0.7.1-1
- initial release of cxmanage as an rpm for Fedora 18
